<template lang="pug">
.process(:style="data.style" v-if="apiCalled")
  a.name(key="gridcname" :style="apiData.gridname") {{apiData.name}} 
  a.media(key="gridmedia" :style="apiData.gridmedia")
    img(:src="`https://api.aendlyx.tech/${apiData.medias[0].url}`" :style="apiData.Imgwidth")
</template>

<script>
import {apiPCS} from "./api"

export default {
  name: 'Process',
  props: { data: Object },
  created() {
    apiPCS.get(this.$props.data.api)
    .then(rsp=>{this.$data.apiData=rsp.data
    console.log(rsp.data)
    })
    .catch(err=>{console.log(err)})
    this.$data.apiCalled = true
  },
  data : () => { return { apiData: {}, apiCalled: false } },
}
</script>

<style scoped lang="stylus">
@media (min-width:2600px) and (max-width: 3840px)
  .process
    display grid 
    grid-template-columns repeat(1,100%)
    grid-template-rows repeat(10,10%)
    .name
      font-size 116%
    .media
      img
        width 55%            
@media (min-width:1921px) and (max-width: 2600px)
  .process
    display grid 
    grid-template-columns repeat(1,100%)
    grid-template-rows repeat(10,10%)
    .name
      font-size 116%
    .media
      img
        width 86%        
@media (min-width:1125px) and (max-width: 1920px)
  .process
    display grid 
    grid-template-columns repeat(1,100%)
    grid-template-rows repeat(10,10%)
    .name
      font-size 106%
    .media
      img
        width 50%
@media (max-width: 920px) and (max-height: 1125px)       
  .process
    display grid 
    grid-template-columns repeat(1,100%)
    grid-template-rows repeat(10,10%)
    .name
      font-size 80%
    .media
      img
        width 36%
@media (max-width: 753px) and (max-height: 920px)       
  .process
    display grid 
    grid-template-columns repeat(1,100%)
    grid-template-rows repeat(10,10%)
    .name
      font-size 80%
    .media
      img
        width 27%
</style>
